@echo off
cls
echo Checking MSDM table ...
:start
OEMCheckMSDM | find /i "Product key:"
if errorlevel 1 goto end

:getbiosvendor
for /f "tokens=3" %%i in ('reg query HKLM\HARDWARE\DESCRIPTION\System\BIOS /v BIOSVendor') do @set BIOSVendor=%%i
echo %BIOSVendor%

if %BIOSVendor% == INSYDE (
      set insydeoa3=H2OOAE-Wx64
      goto insydeclean
) else (
      goto amiclean
)

:insydeclean
%insydeoa3%.exe -e -s | find /i "successfully"
if %errorlevel%==0 goto reboot

:fail
echo =====================================
echo   Error! Can not inject key to BIOS.
echo   Some key is already in MSDM table !!
echo   Press any key to remove it and restart ...
echo =====================================
pause>nul
color 07
goto insydeclean


:amiclean
afuwin /oad
if %errorlevel%==0 goto reboot

:RmFail
echo =====================================
echo   Remove Key fail!
echo   Error code: %errorlevel%
echo   Please check the BIOS version!
echo   Press any key to retry
echo =====================================
pause>nul
color 07
goto amiclean

:reboot
shutdown -r -f -t 0
exit
pause>nul
pause>nul

:end
echo Check key pass! MSDM table is clean.
